Name:           gimmix
Version:        0.5.7.2
Release:        4%{?dist}
Summary:        Graphical music player daemon (MPD) client

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://prianik.co.in/gimmix/
Source0:        http://prianik.co.in/gimmix/releases/gimmix-0.5.7.2.tar.bz2
Source1:        gimmix.desktop

# See #564619
Patch1:         gimmix-Makefile.patch
# fix curl build
# http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/media-sound/gimmix/files/gimmix-0.5.7.1-curl-headers.patch?revision=1.1
Patch2:         gimmix-curl.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel
BuildRequires:  libmpd-devel
BuildRequires:  libglade2-devel
BuildRequires:  taglib-devel
BuildRequires:  intltool
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  libcurl-devel
BuildRequires:  libnxml-devel

%description
Gimmix is a graphical music player daemon (MPD) client written in C using
GTK+2. It's very simple and easy to use, yet offers many features to make
your audio experience a pleasant one.

%prep
%setup -q
%patch1
%patch2 -p1 -b curl

ln -s %{_datadir}/intltool/Makefile.in.in po/

%build
chmod -x src/*

%configure --enable-lyrics --enable-cover
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

desktop-file-install \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications         \
  %{SOURCE1}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/gimmix
%{_datadir}/gimmix/
%{_datadir}/pixmaps/*
%{_datadir}/applications/*gimmix.desktop
%{_mandir}/man1/gimmix*


%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.7.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.7.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 20 2014 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.5.7.2-1
- version upgrade
- fix ftbfs (#1106620)
- upgrade project and download url

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.7.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.7.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Apr 10 2013 Jon Ciesla <limburgher@gmail.com> - 0.5.7.1-8
- Drop desktop vendor tag.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.7.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 26 2012 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.5.7.1-6
- fix ftbfs (#843223)

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.7.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.7.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.5.7.1-3
- Rebuild for new libpng

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Mar 28 2010 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.5.7.1-1
- fix #564619
- version upgrade

* Wed Nov 25 2009 Adrian Reber <adrian@lisas.de>
- 0.5.6.1-3
- rebuild for libmpd 0.19.0

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun 24 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.5.6.1-1
- version upgrade

* Tue Jun 16 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.5.2-3
- rebuild for new libmpd

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Nov 23 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.5.2-1
- version upgrade
- build against libnxml

* Sat Oct 04 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.5.1-1
- version upgrade

* Mon Feb 11 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> - 0.4.2-3
- Rebuilt for gcc43

* Sat Jan 05 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.4.2-2
- license should be GPLv2+ as stated in the source file headers

* Sun Dec 30 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.4.2-1
- version upgrade
